package com.zd.laboratory.domain.vo;

import com.zd.laboratory.domain.LabHardware;
import com.zd.laboratory.domain.LabRiskPlanAbnormalGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;

/**
 * Controller
 *
 * @author cyl
 * @date 2021/10/11
 */
@ApiModel("风险预案组Vo")
public class LabRiskPlanAbnormalGroupVO extends LabRiskPlanAbnormalGroup {

    @ApiModelProperty(value = "实验室名称")
    private String subjectName;

    @ApiModelProperty(value = "学校id")
    private String buildId;

    @ApiModelProperty(value = "学校名称")
    private String buildName;

    @ApiModelProperty(value = "楼层名称")
    private String floorName;

    @ApiModelProperty(value = "楼层id")
    private Long floorId;

    @ApiModelProperty(value = "房间名称")
    private String roomName;

    @ApiModelProperty(value = "传感器当前的值情况")
    private String sensorStr;

    @ApiModelProperty(value = "是否容许关闭预案::目前如果有火焰预案，只能手动关闭")
    private Boolean closePlan = false;

    @ApiModelProperty(value = "预案id")
    private Long riskPlanId;

    @ApiModelProperty(value = "是否有疏散线路")
    private Boolean whetherRoute;

    private List<LabHardware> hardwareList;

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public List <LabHardware> getHardwareList() {
        return hardwareList;
    }

    public void setHardwareList(List <LabHardware> hardwareList) {
        this.hardwareList = hardwareList;
    }

    public String getBuildId() {
        return buildId;
    }

    public void setBuildId(String buildId) {
        this.buildId = buildId;
    }

    public String getBuildName() {
        return buildName;
    }

    public void setBuildName(String buildName) {
        this.buildName = buildName;
    }

    public String getFloorName() {
        return floorName;
    }

    public void setFloorName(String floorName) {
        this.floorName = floorName;
    }

    public Long getFloorId() {
        return floorId;
    }

    public void setFloorId(Long floorId) {
        this.floorId = floorId;
    }

    public String getRoomName() {
        return roomName;
    }

    public void setRoomName(String roomName) {
        this.roomName = roomName;
    }

    public String getSensorStr() {
        return sensorStr;
    }

    public void setSensorStr(String sensorStr) {
        this.sensorStr = sensorStr;
    }

    public Boolean getClosePlan() {
        return closePlan;
    }

    public void setClosePlan(Boolean closePlan) {
        this.closePlan = closePlan;
    }

    public Long getRiskPlanId() {
        return riskPlanId;
    }

    public void setRiskPlanId(Long riskPlanId) {
        this.riskPlanId = riskPlanId;
    }

    public Boolean getWhetherRoute() {
        return whetherRoute;
    }

    public void setWhetherRoute(Boolean whetherRoute) {
        this.whetherRoute = whetherRoute;
    }
}
